# CREATE COMPUTE\_POOL

## Syntax <a href="#synopsis" id="synopsis"></a>

```sql
CREATE COMPUTE_POOL compute_pool_name
WITH (compute_pool_parameter = value [, …]);
```

## Description <a href="#description" id="description"></a>

A compute pool is a set of dedicated resources used to run batch queries. You define a compute pool at the organization level. It follows the same RBAC rules as any other DeltaStream object.

Only a role with `CREATE_COMPUTE_POOL` privilege can create a compute\_pool.

### Arguments <a href="#parameters" id="parameters"></a>

#### compute\_pool\_name

The name of the compute\_pool to define. If the name is case-sensitive, you must wrap it in double quotes; otherwise, the system uses the lower case name.

### Compute Pool Parameters <a href="#topic_parameters" id="topic_parameters"></a>

| Parameter Name             | Description                                                                                                                                                                                                                                                                                 |
| -------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `compute_pool.size`        | <p><br><strong>Required:</strong> Yes<br><strong>Default value:</strong> None<br><strong>Type:</strong> String<br><strong>Valid values:</strong> Small, Medium, Large</p><ul><li>Small - 1 compute worker (8cpu, 6Gi memory)</li><li>Medium - Small x 2</li><li>Large - Small x 4</li></ul> |
| `compute_pool.timeout_min` | <p>If a compute\_pool is idle for <code>timeout\_min</code>, it will be stopped.</p><p><br><strong>Required:</strong> No<br><strong>Default value:</strong> 60 minutes (3600 seconds)<br><strong>Type:</strong> Int<br></p>                                                                 |

## Examples

```sql
CREATE COMPUTE_POOL mypool 
WITH(‘compute_pool.size’=small, ‘compute_pool.timeout_min’ =3600);
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.deltastream.io/reference/sql-syntax/ddl/create-compute_pool.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
